Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » WindowBuilder » Zipped Update Site has external dependencies?
Zipped Update Site has external dependencies? [message #662363] Wed, 30 March 2011 07:50 Go to next message
Chris J
Messages: 2
Registered: July 2009
Junior Member
Hi!

I have a problem installing WindowBuilder.

I'm testing with Eclipse Helios (3.6.2) and have downloaded a Zipped Update Site since I want to install on an offline computer.

However when I add either the .zip as an Archive in the Available Software Sites, or I unzip the Zipped Update Site and add it as a Local path, for Eclipse 3.6.2 I get an error when I try to install all the WindowBuilder components.

Cannot complete the install because one or more required items could not be found.
  Software being installed: SWT Designer SWT_AWT Support 0.9.0.r36x201103201151 (org.eclipse.wb.rcp.SWT_AWT_support.feature.group 0.9.0.r36x201103201151)
  Missing requirement: WindowBuilder Core 0.9.0.r36x201103201113 (org.eclipse.wb.core 0.9.0.r36x201103201113) requires 'bundle org.eclipse.pde.core 0.0.0' but it could not be found
  Cannot satisfy dependency:
    From: WindowBuilder Core 0.9.0.r36x201103201113 (org.eclipse.wb.core.feature.feature.group 0.9.0.r36x201103201113)
    To: org.eclipse.wb.core [0.9.0.r36x201103201113]
  Cannot satisfy dependency:
    From: SWT Designer SWT_AWT Support 0.9.0.r36x201103201151 (org.eclipse.wb.rcp.SWT_AWT_support.feature.group 0.9.0.r36x201103201151)
    To: org.eclipse.wb.core.feature.feature.group 0.9.0.r36x201103201113


If I install on an online computer, I only get the error if I uncheck the "Contact all update sites during install to find required software" checkbox in the Install wizard of Eclipse.

It looks to me as if the Zipped Update Site of WindowBuilder for Eclipse 3.6 has external dependencies not satisfied by a standard install of Eclipse IDE 3.6.2.

Shouldn't the snapshot of the Update Site be standalone and not require any further update sites to install?

If other Update Sites are required, could someone please help me find which ones and (if necessary) where their Zipped Update Sites might be available so I can install everything offline?

Thanks,

Chris
Re: Zipped Update Site has external dependencies? [message #662790 is a reply to message #662363] Thu, 31 March 2011 19:40 Go to previous messageGo to next message
Eric Clayberg is currently offline Eric Clayberg
Messages: 857
Registered: July 2009
Location: Boston, MA
Senior Member
WindowBuilder absolutely requires the Eclipse PDE which is part of the standard Eclipse install (as defined by the contents of Eclipse Classic).

You can get the PDE from the standard Eclipse update site.
Re: Zipped Update Site has external dependencies? [message #662862 is a reply to message #662790] Fri, 01 April 2011 05:39 Go to previous messageGo to next message
Chris J
Messages: 2
Registered: July 2009
Junior Member
Eric Clayberg wrote on Fri, 01 April 2011 01:40
WindowBuilder absolutely requires the Eclipse PDE which is part of the standard Eclipse install (as defined by the contents of Eclipse Classic).

You can get the PDE from the standard Eclipse update site.


Actually I downloaded Eclipse IDE for Java Developers and not Eclipse Classic.

The download page for Window Builder simply says:
Quote:
These instructions assume that you have already installed some flavor of Eclipse. If you have not, Eclipse can be downloaded from http://www.eclipse.org/downloads/.

That doesn't look altogether useful as information. Perhaps you could state that PDE is required and link to the Eclipse Packages comparison page?

Installing PDE in an offline version of Eclipse for Java Developers wasn't straightforward. I did find a "PDE Runtime Binary" distribution here but there was no instruction on how to install it and it didn't resolve the need for the dependency if I simply unzipped it in the Eclipse directory. Could anyone point me in the right direction?

I'd rather not install the Eclipse Classic if I can avoid it as it's not the set of features/plugins I need apart from the Window Builder dependency on PDE.
Re: Zipped Update Site has external dependencies? [message #662993 is a reply to message #662862] Fri, 01 April 2011 16:11 Go to previous messageGo to next message
Eric Clayberg is currently offline Eric Clayberg
Messages: 857
Registered: July 2009
Location: Boston, MA
Senior Member
The Eclipse IDE for Java Developers is a very stripped down version of Eclipse. The WindowBuilder installation instructions already state that the JDT and PDE are required:

Installing the Update Site or Zip editions for Eclipse 3.4 or above requires the full Eclipse SDK including the JDT and PDE. Use the Eclipse Classic, Java EE or RCP/Plug-in Developers distribution or install the JDT and PDE separately.

Re: Zipped Update Site has external dependencies? [message #731151 is a reply to message #662993] Fri, 30 September 2011 02:54 Go to previous messageGo to next message
Parvez Ahmad Hakim is currently offline Parvez Ahmad Hakim
Messages: 31
Registered: May 2010
Member
What is the update site for eclipse WindowBuilder editor. I want it to work with Eclipse 4.1

Parvez Ahmad Hakim, Kashmir
www.abobjects.com
Re: Zipped Update Site has external dependencies? [message #731328 is a reply to message #731151] Fri, 30 September 2011 12:44 Go to previous message
Eric Clayberg is currently offline Eric Clayberg
Messages: 857
Registered: July 2009
Location: Boston, MA
Senior Member
The update site is shown on the WindowBuilder download page. You should use the Eclipse 3.7 version.
Previous Topic:WindowBuilder newbie wonders how to wake it up
Next Topic:WindowBuilder on Eclipse 4.1
Goto Forum:
  


Current Time: Mon Sep 01 14:44:55 EDT 2014

Powered by FUDForum. Page generated in 0.01895 seconds